PUBLIC-INBOX-COMPACT(1)

NAME
public-inbox-compact - compact Xapian DBs in an inbox

SYNOPSIS
public-inbox-compact INBOX_DIR

public-inbox-compact --all

DESCRIPTION
public-inbox-compact is a wrapper for xapian-compact(1) which locks the inbox and prevents other processes such as public-inbox-watch(1) or public-inbox-mda(1) from writing while it operates.

It enforces the use of the "--no-renumber" option of xapian-compact(1) which is required to work with the rest of the public-inbox search code.

This command is rarely needed for active inboxes.

Using the "--compact" option of public-inbox-index(1) is recommended, instead, and only when doing a "--reindex".

OPTIONS

--all
    Compact all inboxes configured in ~/.public-inbox/config. This is an alternative to specifying individual inboxes directories on the command-line.

--blocksize / --no-full / --fuller
    These options are passed directly to xapian-compact(1).

ENVIRONMENT

PI_CONFIG
    The default config file, normally "~/.public-inbox/config". See public-inbox-config(5)

XAPIAN_FLUSH_THRESHOLD
    The number of documents to update before committing changes to disk. This environment is handled directly by Xapian, refer to Xapian API documentation for more details.

    Default: 10000

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://hjrcffqmbrq6wope.onion/meta/>

COPYRIGHT
Copyright 2018-2020 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
xapian-compact(1), public-inbox-index(1)